/**
 * Constants
 */

// Controls
window.KEY = {
	ACCEL: [ "space" ],
	B: [ "backspace" ],
	DOWN: [ "down" ],
	DROP: [ "shift" ],
	ESCAPE: [ "escape" ],
	LASER: [ "ctrl" ],
	LEFT: [ "left" ],
	RIGHT: [ "right" ],
	SELECT: [ "tab" ],
	START: [ "enter" ],
	ULTIMATE_1: [ "i" ],
	ULTIMATE_2: [ "o" ],
	ULTIMATE_3: [ "p" ],
	UP: [ "up" ],
}

window.PAD = {
	A: [ "buttons", 0 ],
	B: [ "buttons", 1 ],
	DPAD_DOWN: [ "buttons", 13 ],
	DPAD_LEFT: [ "buttons", 14 ],
	DPAD_RIGHT: [ "buttons", 15 ],
	DPAD_UP: [ "buttons", 12 ],
	LB: [ "buttons", 4 ],
	LS: [ "buttons", 10 ],
	LT: [ "buttons", 6 ],
	LX: [ "axes", 0 ],
	LY: [ "axes", 1 ],
	RB: [ "buttons", 5 ],
	RS: [ "buttons", 11 ],
	RT: [ "buttons", 7 ],
	SELECT: [ "buttons", 8 ],
	START: [ "buttons", 9 ],
	X: [ "buttons", 2 ],
	Y: [ "buttons", 3 ],
}

window.CONTROLS = {
	DEV_RELOAD: [ "PAD:SELECT" ],
	DRIVE: [ "KEY:ACCEL", "PAD:A" ],
	DROP: [ "KEY:DROP", "PAD:LT" ],
	LASER: [ "KEY:LASER", "PAD:RT" ],
	LX: [ [ "KEY:LEFT", "KEY:RIGHT" ], "PAD:LX" ],
	LY: [ [ "KEY:UP", "KEY:DOWN" ], "PAD:LY" ],
	MENU_ACCEPT: [ "KEY:ACCEL", "KEY:START", "PAD:A" ],
	MENU_DECLINE: [ "KEY:ESCAPE", "PAD:B" ],
	MENU_START: [ "KEY:START", "PAD:START" ],
	ULTIMATE_1: [ "KEY:ULTIMATE_1", "PAD:B" ],
	ULTIMATE_2: [ "KEY:ULTIMATE_2", "PAD:X" ],
	ULTIMATE_3: [ "KEY:ULTIMATE_3", "PAD:Y" ],
}

window.KEYCODES = {
	a: 65,
	alt: 18,
	b: 66,
	backspace: 8,
	c: 67,
	ctrl: 17,
	d: 68,
	down: 40,
	e: 69,
	enter: 13,
	escape: 27,
	f: 70,
	g: 71,
	h: 72,
	i: 73,
	j: 74,
	k: 75,
	l: 76,
	left: 37,
	m: 77,
	n: 78,
	o: 79,
	p: 80,
	q: 81,
	r: 82,
	right: 39,
	s: 83,
	shift: 16,
	space: 32,
	t: 84,
	tab: 9,
	u: 85,
	up: 38,
	v: 86,
	w: 87,
	x: 88,
	y: 89,
	z: 90,
}

window.SORTING_OPTIONS = [{
	id: "az",
	name: "Alphabetical",
}, {
	id: "free",
	name: "Emptiness",
}]
